Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class InternetResourceService

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceService

    public class InternetResourceService

extends java.lang.Object

Constructor Summary
`InternetResourceService()`

Method Summary
`protected javax.faces.context.FacesContextFactory` | `getContextFactory()`
`protected javax.faces.context.FacesContext` | `getFacesContext(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`protected ResourceLifecycle` | `getLifecycle()`
`protected java.util.Properties` | `getProperties(java.lang.String name)` Get properties file from classpath
`protected org.ajax4jsf.resource.ResourceContext` | `getResourceContext(org.ajax4jsf.resource.InternetResource resource, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected javax.servlet.ServletContext` | `getServletContext()`
`void` | `init(javax.servlet.FilterConfig config)`
`void` | `setCacheEnabled(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternetResourceService

    public InternetResourceService()

Method Detail

### setCacheEnabled

    public void setCacheEnabled(boolean b)

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### getResourceContext

    protected org.ajax4jsf.resource.ResourceContext getResourceContext(org.ajax4jsf.resource.InternetResource resource,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response)
                                                                throws javax.faces.FacesException

  Parameters:
    `resource` -
    `request` -
    `response` -
  Returns:
  Throws:
    `javax.servlet.ServletException`
    `javax.faces.FacesException`

### getProperties

    protected java.util.Properties getProperties(java.lang.String name)

  Get properties file from classpath

  Parameters:
    `name` -
  Returns:

### getServletContext

    protected javax.servlet.ServletContext getServletContext()

  Returns:
    Returns the servletContext.

### getLifecycle

    protected ResourceLifecycle getLifecycle()
                                      throws javax.faces.FacesException

  Returns:
    the lifecycle
  Throws:
    `javax.servlet.ServletException`
    `javax.faces.FacesException`

### getContextFactory

    protected javax.faces.context.FacesContextFactory getContextFactory()

  Returns:
    the contextFactory

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext(javax.servlet.ServletRequest request,
                                                               javax.servlet.ServletResponse response)
                                                        throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.